2012-03-09 deraj@users.sourceforge.net

* Data/Menus/CreditsMenu.lua: Modified contact info

2012-03-08 deraj@users.sourceforge.net

* acinclude.m4: Require Radius Engine 1.1

* Data/*: Updated to Radius Engine 1.1 template code

* avoision.wxs: Incremented to version 1.1
* configure.in: Incremented to version 1.1
* Makefile_msi: Incremented to version 1.1
* Data/Avoision/Common.lua: Incremented to version 1.1

* Data/Menus/CreditsMenu.lua: Added credit for testing

2012-02-17 deraj@users.sourceforge.net

* Data/UI/TextInputBox.lua: Add home/end support

2012-02-14 deraj@users.sourceforge.net

* Data/UI/Form.lua: Bug fix for passing source to activated handler

* Data/UI/Input.lua: Pass key press information as extra data to inputReceived
* Data/UI/FormLayer.lua: Propagate extra data to form's inputReceived
* Data/UI/Form.lua: Propagate extra data to component's inputReceived

* Data/UI/TextInputBox.lua: Treat key presses for characters as text input

2012-02-13 deraj@users.sourceforge.net

* Data/Avoision/MainMenu.lua: Removed vestigial function

* Data/UI/Label.lua: Allow minimum character override

* Data/UI/Choice.lua: Clicking choice arrows with the mouse directs changes

2012-02-09 deraj@users.sourceforge.net

* Data/UI/Button.lua: Expose button colors from Button

* Data/UI/Input.lua: Pass event source to inputReceived handler
* Data/UI/Form.lua: Propagate event source to components
* Data/UI/FormLayer.lua: Propagate event source to forms

2012-02-04 deraj@users.sourceforge.net

* Data/Avoision/MainMenu.lua: Don't start background music on instructions

* Data/Avoision/MainMenu.lua: Use title graphic
* Data/Images/Title.png: Title graphic

* acinclude.m4: Require Radius Engine 1.0

* Makefile.am: Remove Console.lua and LogDisplay.lua
* Data/Avoision/Avoision.lua: Don't create a console global
* Data/Avoision/Common.lua: Remove console control
* Data/Avoision/Controls.lua: Remove console control
* Data/Avoision/ControlsMenu.lua: Remove console control
* Data/Avoision/GameLayer.lua: Remove the console
* Data/Avoision/MainMenu.lua: Remove the console
* Data/UI/FormLayer.lua: Don't show the console on error
* Data/UI/TextInputBox.lua: Remove old comment

2012-02-01 deraj@users.sourceforge.net

* Data/Avoision/Common.lua: Moved colors to common file
* Data/Avoision/Enemy.lua: Moved colors to common file
* Data/Avoision/Goal.lua: Moved colors to common file
* Data/Avoision/Player.lua: Moved colors to common file

* Data/Avoision/MainMenu.lua: Added "How to Play" option
* Data/Avoision/InstructionsMenu.lua: Added instructions

* Data/UI/ImageLabel.lua: Added ImageLabel
* Data/UI/UI.lua: Added ImageLabel

* Data/Utility/MiscSettings.lua: Boolean setting support

* Data/Avoision/MainMenu.lua: Show instructions before first play
* Data/Settings/Misc.lua: Default to showing instructions the first time

2012-01-31 deraj@users.sourceforge.net

* Data/Images/Seeker.png: Updated Seeker image

2012-01-30 deraj@users.sourceforge.net

* configure.in: Incremented to version 1.0
* Makefile_msi: Incremented to version 1.0
* Data/Avoision/Common.lua: Incremented to version 1.0
* avoision.wxs: Incremented to version 1.0

* Data/Images/Background.png: Made background more interesting
* Data/Images/Block.png: Updated block image
* Data/Images/ScoreBackground.png: Added background for score emphasis
* Makefile.am: Added ScoreBackground.png

2011-10-12 deraj@users.sourceforge.net

* Data/Fonts/Default.png: Cleaned up font (namely "A" and "v")

2011-07-31 deraj@users.sourceforge.net

* Makefile.am: Include desktop entry/icon in distribution

2011-07-30 deraj@users.sourceforge.net

* avoision.wxs: Fixed Windows installer version number

* avoision.wxs: Added icon to Windows uninstall

2011-07-28 deraj@users.sourceforge.net

* Makefile.am: Install menu entry and icon
* avoision.desktop: Add Linux menu entry
* avoision.png: Add Linux menu icon

2011-07-26 deraj@users.sourceforge.net

* Data/Avoision/Board.lua: Children must now be updated explicitly

2011-02-20 deraj@users.sourceforge.net

* Data/Avoision/HighScore.lua: Escape quotation marks with String.format
* Data/Utility/MiscSettings.lua: Escape quotation marks with String.format

* Data/Avoision/Board.lua: Don't require Utility.lua (no longer needed)

* Data/Avoision/HighScoreEntryMenu.lua: Max high score name length
* Data/UI/TextInputBox.lua: Optional max length, support for keypad

2011-01-14 deraj@users.sourceforge.net

* Data/Avoision/Common.lua: Added seeker mesh
* Data/Avoision/Seeker.lua: Use seeker mesh and enemy group

2011-01-09 deraj@users.sourceforge.net

* acinclude.m4: Require Radius Engine 0.7
* configure.in: Incremented version
* Makefile_msi: Incremented version

* Makefile.am: Removed Utility.lua

* Data/Avoision/Common.lua: Incremented version, collision detection
* Data/Avoision/Board.lua: Use collision detection
* Data/Avoision/Enemy.lua: Assign enemy group
* Data/Avoision/Goal.lua: Assign goal group
* Data/Avoision/MovingObject.lua: Assign square mesh
* Data/Avoision/Player.lua: Assign square mesh and player group

* Data/Avoision/CreditsMenu.lua: Updates for hidden entity lists
* Data/Avoision/Display.lua: Updates for hidden entity lists
* Data/Avoision/GameLayer.lua: Updates for hidden entity lists
* Data/Avoision/Ghost.lua: Updates for hidden entity lists
* Data/Avoision/MainMenu.lua: Updates for hidden entity lists
* Data/Diagnostics/LogDisplay.lua: Updates for hidden entity lists
* Data/UI/Control.lua: Updates for hidden entity lists
* Data/UI/FormLayer.lua: Updates for hidden entity lists
* Data/UI/Label.lua: Updates for hidden entity lists
* Data/UI/TextInputBox.lua: Updates for hidden entity lists

2010-12-12 deraj@users.sourceforge.net

* Data/Avoision/Board.lua: Revert goal movement when starting

* Data/Avoision/HighScore.lua: Increased high score count to 4
* Data/Settings/HighScoreDefaultData.lua: Higher initial scores
* Data/Avoision/HighScoreMenu.lua: Show two difficulties per page

2010-12-11 deraj@users.sourceforge.net

* Data/Avoision/Board.lua: Updated enemy/goal creation to use new constructors

* Data/Avoision/Board.lua: Added diagonal moves on extreme

2010-12-10 deraj@users.sourceforge.net

* Data/Avoision/Common.lua: Added "Extreme" difficulty
* Data/Avoision/HighScore.lua: High score list for extreme

* Data/Avoision/Seeker.lua: Added Seeker enemy
* Data/Images/Seeker.png: Added Seeker image
* Data/Avoision/Board.lua: Updated for extreme difficulty

* Data/Avoision/MovingObject.lua: Rewrote logic to allow two directions
* Data/Avoision/Enemy.lua: Changed constructor
* Data/Avoision/Goal.lua: Changed constructor

2010-12-09 deraj@users.sourceforge.net

* Board.lua: Changed scoring to encourage faster gameplay

* Board.lua: Running out of points no longer ends the game

* Display.lua: Renamed "Time left" to "Points" to reflect new meaning
* Display.lua: Points display always ghosts

* Data/Avoision/HighScore.lua: Changed how high scores are persisted
* Data/Settings/HighScoreDefaultData.lua: High score data default values
* Data/Avoision/HighScoreData.lua: Removed

2010-12-08 deraj@users.sourceforge.net

* Data/Settings/MiscSettings.lua: Ported misc. settings to Avoision

* Data/UI/TextInputBox.lua: Cursor starts beyond initial text

* Data/Avoision/PauseScreen.lua: Port pause screen (not used yet)

* Data/Avoision/HighScoreEntryMenu.lua: Default to last-entered

* Data/Avoision/MainMenu.lua: Default to last difficulty

2010-11-26 deraj@users.sourceforge.net

* Avoision/MainMenu.lua: Fixed z coordinate
* UI/FormLayer.lua: Fixed z coordinate
* Avoision/Display.lua: Fixed z coordinate

2010-11-24 deraj@users.sourceforge.net

* configure.in: Updated Radius Engine web site link

2010-11-22 deraj@users.sourceforge.net

* Makefile.am: Fixed Avoision.ico/rc inclusion

2010-11-18 deraj@users.sourceforge.net

* Data/Avoision/Common.lua: Incremented version
* Makefile_msi: Incremented version
* acinclude.m4: Require Radius Engine 0.6
* configure.in: Incremented version

2010-11-17 deraj@users.sourceforge.net

* UI/Input.lua: Removed debug print

* Avoision.ico: Added Avoision icon
* Avoision.rc: Added Avoision resource script
* Makefile.am: Added icon/resource script to distribution

2010-11-15 deraj@users.sourceforge.net

* UI/FormLayer.lua: Added optional cusor to FormLayer

* UI/Input.lua: Added mouse buttons to raw-to-logical conversion
* UI/Control.lua: Added mouse button capturing

* Avoision/Controls.lua: Added default mouse controls

* Data/Images/Cursor.png: Added cursor image
* Makefile.am: Added Cursor.png to distribution

* UI/Layers.lua: Added wrapper around layers with callbacks
* Makefile.am: Added Layers.lua to distribution

* UI/FormLayer.lua: Differentiate between shown and formShown

* Avoision/CreditsMenu.lua: Use logical events to exit credits menu

* Avoision/*Menu.lua: Menus use Layers wrapper and format for mouse input

2010-11-14 deraj@users.sourceforge.net

* UI/Label.lua: Fixed getPosition

* UI/TextInputBox.lua: Updated for new component definition

* UI/Form.lua: Added back Form.focus
* Avoision/HighScoreEntryMenu.lua: Converted high score entry menu

* UI/Choice.lua: Fixed re-layout of nested form

* UI/Console.lua: Converted console to use a simple form
* UI/ConsoleLayer.lua: Removed (merged into Console.lua)
* Avoision/GameLayer.lua: Fixed/updated console call
* Diagnostics/LogDisplay.lua: LogDisplay is now a component

* Makefile.am: Removed ConsoleLayer.lua (missed earlier)

* UI/Form.lua: Initial mouse focus support
* UI/FormLayer.lua: Propagate mouse motion to forms

2010-11-13 deraj@users.sourceforge.net

* UI/Title.lua: Added Title component (based on Label)
* UI/Label.lua: Implemented positioning for center alignment
* Avoision/AudioMenu.lua: Completed audio menu conversion

* Avoision/ControlsMenu.lua: Converted controls menu
* Avoision/VideoMenu.lua: Converted video menu
* Avoision/OptionsMenu.lua: Converted options menu

* Avoision/MainMenu.lua: Initial work on main menu
* Avoision/HighScoresMenu.lua: Converted high scores menu

* UI/Form.lua: setTextSize is now optional for components

* UI/Title.lua: Title scaling can be overridden
* UI/Form.lua: Added centered flow form layout
* Avoision/MainMenu.lua: Converted logo

2010-11-12 deraj@users.sourceforge.net

* UI/Form.lua: Fixed bug where form.setPosition wouldn't apply

* UI/Form.lua: Added "flow" layout type
* UI/Choice.lua: Implemented choices with flow layout

* UI/Form.lua: Nested forms now use focus to track usage
* UI/FormLayer.lua: Focus the form upon creating the form layer

* UI/Form.lua: Forms can now be entered from either direction

2010-11-11 deraj@users.sourceforge.net

* UI/Button.lua: Button now inherits from Label (namely for alignment/size)

2010-11-10 deraj@users.sourceforge.net

* UI/Form.lua: Form.setPosition only calls layout on change (avoiding
               infinite recursion)

* UI/Control.lua: Initial Control implementation as a nested form
* UI/Label.lua: Labels can now start with empty text

* UI/Label.lua: Don't allow explicit position/size in constructor
* UI/Button.lua: Don't allow explicit position/size in constructor

* UI/Label.lua: Initial right-aligned support for Label
* UI/Control.lua: Right-aligned controls

* Avoision/AudioMenu.lua: Initial conversion to a complete form

2010-11-08 deraj@users.sourceforge.net

* UI/Form.lua: More work for nested forms (components can be objects or tables)
* UI/Form.lua: Handle focus transitions in/out of nested forms

* UI/FormLayer.lua: First form component is selected upon adding to layer

* UI/Button.lua: Activated callback is now optional for buttons

2010-10-09 deraj@users.sourceforge.net

* UI/Form.lua: Grid layouts can specify number of columns
* UI/Form.lua: Added hooks for other layout types

* UI/Form.lua: Initial box layout

* UI/Button.lua: Complete component implementation for Button

* UI/FormLayer.lua: FormLayers can now accept a form on creation
* UI/Form.lua: setLayer now recursively calls all components
* UI/Choice.lua: Partial form-based implementation

2010-10-01 deraj@users.sourceforge.net

* UI/Form.lua: Grid layout for forms
* UI/Label.lua: Implemented new component layout callbacks

2010-09-29 deraj@users.sourceforge.net

* UI/Form.lua: Removing some unused code

2010-09-22 deraj@users.sourceforge.net

* UI/Input.lua: Added support for joystick buttons
* UI/Control.lua: Added support for binding joystick buttons

* Data/Avoision/ControlsMenu.lua: Increased space for controls

* UI/Input.lua: Added support for joystick axes (treated as buttons)
* UI/Control.lua: Added support for binding joystick axes as buttons

* Avoision/HighScoreMenu.lua: Joystick buttons now skip this screen

2010-09-02 deraj@users.sourceforge.net

* configure.in: Incremented version
* Makefile_msi: Incremented version
* Data/Avoision/Common: Incremented version
* acinclude.m4: Require Radius Engine 0.5

2010-09-01 deraj@users.sourceforge.net

* Makefile.am: Added SpelunkingForPleasure.ogg
* Data/Avoision/CreditsMenu.lua: Added music credits
* Data/Avoision/GameLayer.lua: Play music during game
* Makefile.am: Fixed typo in addition

2010-08-31 deraj@users.sourceforge.net

* License.txt: Clarified all license information
* Makefile.am: Using License.txt instead of COPYING
* Data/Avoision/CreditsMenu.lua: Clarified licenses
* Data/Avoision/MainMenu.lua: Added credits options to main menu
* avoision.wxs: Added License.txt to Windows installer

2010-08-30 deraj@users.sourceforge.net

* Data/Avoision/AudioMenu.lua: Added music volume control
* Data/Avoision/AudioSettings.lua: Added default music volume
* Data/Avoision/GameLayer.lua: Added TODO for music
* Data/Avoision/MainMenu.lua: Call "started" callback on game layer

2010-08-08 deraj@users.sourceforge.net

* configure.in: Incremented version
* Makefile_msi: Incremented version
* Data/Avoision/Common.lua: Incremented version
* acinclude.m4: Require Radius Engine v0.4

2010-08-01 deraj@users.sourceforge.net

* Data/Avoision/AudioMenu.lua: Default sounds are used when changing volume

* Data/Avoision/Board.lua: Added scoring and losing sound effects
* Data/UI/Button.lua: Added button activate sound effect (and silent option)
* Data/UI/Choice.lua: Added choice selection sound effect
* Data/UI/Control.lua: Added control change sound effect
* Data/UI/Form.lua (form.changeFocus): Added focus change sound effect
* Data/UI/FormLayer.lua: Added form layer cancel sound effect
* Data/UI/TextInputBox.lua: Added text input sound effect
* Data/Sounds/Boom.wav: Losing sound
* Data/Sounds/Bounce.wav: Updated bounce sound
* Data/Sounds/Click.wav: Generic clicking sound
* Data/Sounds/Cancel.wav: Cancel sound
* Data/Sounds/Score.wav: Scoring sound
* Data/Sounds/Select.wav: Generic selection/submission sound

* Data/UI/Form.lua: Form event handlers only mark events as handled when used

* Data/Avoision/GameLayer.lua (GameLayer.new): Game uses its own audio state

* Data/Avoision/GameLayer.lua (gameLayer.endGame): High score determination fix

* Data/Avoision/MainMenu.lua (mainMenu.inputReceived): Escape key quits

* Data/Avoision/VideoMenu.lua: Suppress callbacks when initializing form

* Makefile.am: Added new images and sounds to Linux build

* acinclude.m4: Require Radius Engine 0.3

* Makefile_msi: Fixed installer version

2010-07-22 deraj@users.sourceforge.net

* Data/Avoision/ScriptedEntity.lua: Support duplicating element lists

* Data/Avoision/Ghost.lua: Ghosts now take a template entity
* Data/Avoision/Board.lua: Update Ghost.new call
* Data/Avoision/Goal.lua: Update Ghost.new call
* Data/Avoision/Player.lua: Update Ghost.new call

* Data/Avoision/Display.lua: Added effects to score/time left
* Data/Avoision/Ghost.lua: Handle default color, allow optional offset
* Data/Avoision/ScriptedEntity.lua: Assume default font for text elements

* Data/Avoision/Display.lua: Added score emphasis once the game ends
* Data/Avoision/Board.lua: Added callback for when the player loses
* Data/Avoision/GameLayer.lua: Reset the board as a part of exiting the layer

2010-07-21 deraj@users.sourceforge.net

* Data/Avoision/MainMenu.lua: Added title animation

2010-07-20 deraj@users.sourceforge.net

* Data/Avoision/Ghost.lua: Initial size follows update logic
* Data/Avoision/Board.lua: Modified enemy spawn effect
* 
* Data/Avoision/HighScoreEntryMenu.lua: Adjusted line break
* 
* Data/Avoision/GameLayer.lua: After losing, any key exits the game
* 
* Data/UI/FormLayer.lua: Form layers can now specify a period
* 
* Data/Avoision/ScriptedEntity.lua: Added scripted entity (e.g. to move an
    entity along a track or change its size linearly)
* Data/Avoision/Ghost.lua: Rewrote Ghost to use ScriptedEntity
* Makefile.am: Added ScriptedEntity.lua to distribution

2010-07-19 deraj@users.sourceforge.net

Data/Images/Block.png: New block sprite
Data/Images/Background.png: New background sprite
Data/Avoision/Block.lua: Using new graphics
Data/Avoision/Board.lua: Using new graphics
Data/Avoision/Ghost.lua: Using new graphics
Data/Avoision/MovingObject.lua: Using new graphics
Data/Avoision/Player.lua: Using new graphics

2010-07-18 deraj@users.sourceforge.net

Data/Avoision/Ghost.lua: Added simple ghost effect
Data/Avoision/Goal.lua: Added effect when capturing goal
Data/Avoision/Player.lua: Added effect when losing
Data/Avoision/Board.lua: Effects when capturing/losing

avoision.c: Updated logging comment

Data/Avoision/Enemy.lua: Enemies now carry color objects

Data/Avoision/Board.lua: Enemies now spawn after a delay

Data/Avoision/Common.lua: Incremented version
configure.in: Updated version

2010-07-17 deraj@users.sourceforge.net

* Makefile.am: (Linux build) Scripts are now installed and distributed

* avoision.c: Override data directory on UNIX

* avoision.c: SDL.h must be included in order to build with SDLmain.lib

* Data/Avoision/Goal.lua: Removed an old comment

* Data/Avoision/Board.lua: Pause for second before actually ending games
* Data/Avoision/GameLayer.lua: Disallow input while board is paused

* configure.in: Link to Radius Engine on failure

2010-07-13 deraj@users.sourceforge.net

* configure.in: (Linux build) Added configure template
* Makefile.am: (Linux build) Added Automake makefile
* acinclude.m4: (Linux build) Added AM_PATH_RADIUS_ENGINE

* Avoision/Common.lua: Incremented version

2010-07-03 deraj@users.sourceforge.net

* Avoision/MainMenu.lua: Removed debug prints

* Avoision/HighScoreEntryMenu.lua: Added separator before "Done" button

2010-07-02 deraj@users.sourceforge.net

* Avoision/Board.lua: Game now ends when time left is zero

* UI/Control.lua: Event capture layer now prompts the user

* UI/NumberLabel.lua: A callback can now be supplied to NumberLabels
* Avoision/Display.lua: Time left is now highlighted when less than 5 seconds

* avoision.wxs: Added Avoision MSI XML for Windows installer
* Makefile_msi: Added makefile for Windows installer

2010-06-29 deraj@users.sourceforge.net

* Data/UI/Choice.lua: Added option to skip callback in constructor/setIndex

* Data/Avoision/OptionsMenu.lua: Added audio options menu entry
* Data/Avoision/AudioMenu.lua: Added audio menu
* Data/Avoision/AudioSettings.lua: Added default audio settings

2010-06-27 deraj@users.sourceforge.net

* avoision.c: Separated Avoision from Radius Engine

* All: Applied GPL (version 2) license to Avoision
